Bug 1124758 - cannot log in ovirt-node TUI with password which was set up during installation
Summary: cannot log in ovirt-node TUI with password which was set up during installation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Douglas Schilling Landgraf
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On: rebase-ovirt-node-3.1
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 09:03 UTC by Martin Pavlik
Modified: 2016-02-10 19:39 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:24:19 UTC
oVirt Team: Node


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30802 None None None Never
oVirt gerrit 30803 None None None Never

Description Martin Pavlik 2014-07-30 09:03:10 UTC
Description of problem:
password which was set during manual installation does not work for logging into admin acount

Version-Release number of selected component (if applicable):
ovirt-node-iso-3.1.0-0.999.999.20140317175137gitba60c851296.el6.iso

How reproducible:
100%

Steps to Reproduce:
1.manually install ovirt-node from iso (used nested vm for testing)
2.specify password for user admin
3.after installation try to log in with user admin and password specified during installation

Actual results:
login incorrect

Expected results:
successful log in

Additional info:

Comment 1 Fabian Deutsch 2014-08-01 14:45:00 UTC
This was actually just an upstream bug, keeping it open to verify that it's not happening on d/s.

Comment 2 Ying Cui 2014-08-05 07:29:32 UTC
hey,Guangbo, to reproduce this bug, we can use the build here:
http://resources.ovirt.org/pub/ovirt-master-snapshot/iso/ovirt-node-iso/ovirt-node-iso-3.1.0-0.999.999.20140317175137gitba60c851296.el6.iso

Comment 3 haiyang,dong 2014-08-05 09:10:38 UTC
can reproduce this bug in iso :http://resources.ovirt.org/pub/ovirt-master-snapshot/iso/ovirt-node-iso/ovirt-node-iso-3.1.0-0.999.999.20140317175137gitba60c851296.el6.iso

this bug just could reproduce in upstream, not in downstream, also it's duplicated  
 of bug 1073367

Comment 4 Guangbo Sun 2014-08-06 09:05:31 UTC
I can reproduce this issue.

Test version:
ovirt-node-iso-3.1.0-0.999.999.20140317175137gitba60c851296.el6.iso

Test steps:
1. Manually install ovirt-node from iso (used nested vm for testing)
2. Specify password for user admin
3. After installation try to log in with user admin and password specified during     installation

The test result same as above.

Comment 5 Sandro Bonazzola 2014-10-17 12:24:19 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.